Bug 126473 - php access to mysql impossible - segmentation fault
Summary: php access to mysql impossible - segmentation fault
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: php   
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-22 07:58 UTC by Flavio Cardone
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-15 16:49:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Flavio Cardone 2004-06-22 07:58:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040615 Firefox/0.9

Description of problem:
Any PHP program that tries to access mysql databases causes a
segmentation fault; database access is impossible

Version-Release number of selected component (if applicable):
mysql-3.23.58-9

How reproducible:
Always

Steps to Reproduce:
1. install any php script which uses mysql (my latest try was wikipedia)
2. access the script
3. check httpd error log
    

Actual Results:  segmentation fault

Expected Results:  proper mysql access

Additional info:

Comment 1 Jungshik Shin 2004-08-10 03:29:10 UTC
I have a similar problem on FC 1. This bug was reported on June 22nd,
but I believe I hadn't had this problem before upgrading to PHP 4.3.8-1.1
Ahah, FC2 may have PHP 4.3.8 even in June. 

Apache error log has the following:

 [notice] child pid 16134 exit signal Segmentation fault (11)

This may have to do with this PHP bug :

http://bugs.php.net/bug.php?id=24592
http://bugs.php.net/bug.php?id=4609&edit=1 (this one was very old and
is about Sybase but might shed some light on what's going on...)


Comment 2 Jungshik Shin 2004-08-10 07:09:15 UTC
Downgrading php-mysql to 4.3.4-1.1 (I used '--nodeps' and '--force')
solved the problem for me on Fedora core 1. The rest of my PHP remains
at 4.3.8-1.1. 

Btw, I guess this bug should be moved to 'PHP'. I don't have enough
privilige to make that change. 

Comment 3 Tom Lane 2004-10-05 18:53:33 UTC
Reassigning to PHP module owner.

Comment 4 Joe Orton 2004-10-05 19:24:35 UTC
Anyone having issues with php-mysql, please include the output from
running the following commands as root:

# rpm -V php php-mysql mysql
# php -m

to verify correct package installation.

To further diagnose a backtrace from an httpd child, run:

echo "CoreDumpDirectory /tmp" >> /etc/httpd/conf.d/coredump.conf

and restart httpd, then obtain a backtrace using:

# gdb /usr/sbin/httpd /tmp/core.*
...
(gdb) backtrace

and include that here.

Comment 5 Joe Orton 2004-12-15 16:49:33 UTC
Please supply further details as above.


Note You need to log in before you can comment on or make changes to this bug.